Subject: Re: [PATCH 1/7] mlx4: Added interrupts test support

From: Roland Dreier <[email-masked]>
Date: Mon, 05 Oct 2009 09:18:23 -0700

> > Have you actually seen cases where
 > > the interrupt test during initialization works but then this test
 > > catches a problem?  (My experience has been that if any MSI-X interrupts
 > > work from a device, then they'll all work)

 > It also checks that all the EQs work properly. During initialization
 > we only check the asynchronous EQ

Yes, I understand what the code does.  My question was whether you have
ever actually observed a case where the async EQ works but another EQ
doesn't?  In other words is this test useful in practice?

 - R.